package com.gic.haoban.manage.api.service.role;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.role.HaobanMenuDTO;

import java.util.List;

/**
 * @author xuwenqian
 * @date 2022/9/7 9:46 上午
 */
public interface HaobanMenuApiService {

    /**
     * 获取菜单树
     *
     * @return {@link ServiceResponse }
     * @author mozhu
     * @date 2022-09-07 09:50:37
     */
    ServiceResponse<List<HaobanMenuDTO>> getMenuTreeList();
}
