package com.gic.haoban.manage.service.service.role;

import com.gic.haoban.manage.service.entity.role.TabHaobanMenu;
import com.gic.haoban.manage.service.pojo.bo.role.HaobanMenuBO;

import java.util.List;

/**
 *
 *
 * @author mozhu
 * @since 2022-09-06 16:35:11
 */
public interface HaobanMenuService {

    /**
     * 通过ID查询单条数据
     *
     * @param menuCode 菜单代码
     * @return {@link TabHaobanMenu }
     * @author mozhu
     * @date 2022-09-09 16:33:26
     */
    TabHaobanMenu queryById(String menuCode);

    /**
     * 新增数据
     *
     * @param tabHaobanMenu 实例对象
     * @return 实例对象
     */
    int insert(TabHaobanMenu tabHaobanMenu);

    /**
     * 修改数据
     *
     * @param tabHaobanMenu 实例对象
     * @return 实例对象
     */
    int update(TabHaobanMenu tabHaobanMenu);

    /**
     * 菜单树
     * @return
     */
    List<HaobanMenuBO> getMenuTreeList();

}
